QGIS Application - Bug report #2462

Composer non-raster print to pdf ignores svg image items

2010-02-22 09:56 AM - John Tulll

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category:

Affected QGIS version:
Operating System: OS X
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 12522

Description

| have a project file with a composer that | am having to print to pdf as a non-raster file. (This is because of some other bug with unusual

vector layer color fills that only shows when exporting as a raster...)

| added an svg image to the composer with a 45 degree rotation to serve as a watermark. The final pdf document has all elements except

this watermark and my north arrow svg image. For some reason svg image overlays are not being printed when exporting a vetorized pdf.

History

#1 - 2010-03-27 02:18 PM - Marco Hugentobler

Hm, printing svn pictures seem to work for me here with vector pdf (but the composer pictures are always printed as rasters and embedded as images into

the svg).

Is this only a specific svg picture or does it always happen? Are you still on Qt4.6, OS X?

#2 - 2010-03-27 02:25 PM - John Tull
- Resolution set to invalid
- Status changed from Open to Closed

It appears to be working for me now as well. Closed

#3 - 2010-07-15 01:25 PM - John Tull
- Status changed from Closed to Feedback
- Resolution deleted (invalid)

QOddly, this issue is again occurring for me in trunk. Can anyone else test? It is as simple as creating a composer map, adding an svg image, such as a

north arrow, unchecking the "Print as Raster" option in the General tab, then printing it to a pdf file.

commit:ccO1a5ba (SVN r13917) and gt-4.7.0-beta on OS X

#4 - 2010-07-21 01:16 AM - Médéric RIBREUX

Hello,

| can't reproduce it with a http:/trac.osgeo.org/ggis/changeset/13939 under Debian Squeeze... Perhaps is it OSX specific ?
http://trac.osgeo.org/qgis/changeset/13939

#5 - 2010-07-21 03:37 PM - John Tull
- Resolution set to invalid

- Status changed from Feedback to Closed

This is a strange, and inconsistent bug. Now it works again... Closed
